rh-ruby26-rubygem-openssl-2.1.2-118.el7.x86_64.rpm


Advertisement

Description

rh-ruby26-rubygem-openssl - OpenSSL provides SSL, TLS and general purpose cryptography

Property Value
Distribution CentOS 7
Repository CentOS SCLo RH x86_64
Package filename rh-ruby26-rubygem-openssl-2.1.2-118.el7.x86_64.rpm
Package name rh-ruby26-rubygem-openssl
Package version 2.1.2
Package release 118.el7
Package architecture x86_64
Package type rpm
Category Development/Libraries
Homepage http://ruby-lang.org/
License Ruby or BSD
Maintainer -
Download size 178.06 KB
Installed size 408.57 KB
OpenSSL provides SSL, TLS and general purpose cryptography. It wraps the
OpenSSL library.

Alternatives

Package Version Architecture Repository
rh-ruby26-rubygem-openssl-2.1.2-118.el7.x86_64.rpm 2.1.2 x86_64 CentOS SCLo RH Testing
rh-ruby26-rubygem-openssl - - -

Requires

Name Value
libc.so.6(GLIBC_2.7)(64bit) -
libcrypto.so.10()(64bit) -
libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit) -
libcrypto.so.10(OPENSSL_1.0.2)(64bit) -
libcrypto.so.10(libcrypto.so.10)(64bit) -
libm.so.6()(64bit) -
libruby.so.2.6()(64bit) -
libssl.so.10()(64bit) -
libssl.so.10(libssl.so.10)(64bit) -
rh-ruby26-ruby(release) -
rh-ruby26-ruby(rubygems) >= 3.0.3
rh-ruby26-runtime -
rtld(GNU_HASH) -

Provides

Name Value
rh-ruby26-rubygem(openssl) = 2.1.2-118.el7
rh-ruby26-rubygem-openssl = 2.1.2-118.el7
rh-ruby26-rubygem-openssl(x86-64) = 2.1.2-118.el7
scl-package(rh-ruby26) -

Download

Type URL
Mirror mirror.centos.org
Binary Package rh-ruby26-rubygem-openssl-2.1.2-118.el7.x86_64.rpm
Source Package rh-ruby26-ruby-2.6.2-118.el7.src.rpm

Install Howto

  1. Install CentOS SCLo RH repository:
    yum install centos-release-scl-rh
  2. Install rh-ruby26-rubygem-openssl rpm package:
    # yum install rh-ruby26-rubygem-openssl

Files

Path
/opt/rh/rh-ruby26/root/usr/lib64/gems/ruby/openssl-2.1.2/openssl.so
/opt/rh/rh-ruby26/root/usr/lib64/ruby/openssl.so
/opt/rh/rh-ruby26/root/usr/share/gems/gems/openssl-2.1.2/
/opt/rh/rh-ruby26/root/usr/share/gems/gems/openssl-2.1.2/lib/openssl.rb
/opt/rh/rh-ruby26/root/usr/share/gems/gems/openssl-2.1.2/lib/openssl/bn.rb
/opt/rh/rh-ruby26/root/usr/share/gems/gems/openssl-2.1.2/lib/openssl/buffering.rb
/opt/rh/rh-ruby26/root/usr/share/gems/gems/openssl-2.1.2/lib/openssl/cipher.rb
/opt/rh/rh-ruby26/root/usr/share/gems/gems/openssl-2.1.2/lib/openssl/config.rb
/opt/rh/rh-ruby26/root/usr/share/gems/gems/openssl-2.1.2/lib/openssl/digest.rb
/opt/rh/rh-ruby26/root/usr/share/gems/gems/openssl-2.1.2/lib/openssl/pkcs5.rb
/opt/rh/rh-ruby26/root/usr/share/gems/gems/openssl-2.1.2/lib/openssl/pkey.rb
/opt/rh/rh-ruby26/root/usr/share/gems/gems/openssl-2.1.2/lib/openssl/ssl.rb
/opt/rh/rh-ruby26/root/usr/share/gems/gems/openssl-2.1.2/lib/openssl/x509.rb
/opt/rh/rh-ruby26/root/usr/share/gems/specifications/openssl-2.1.2.gemspec
/opt/rh/rh-ruby26/root/usr/share/ruby/openssl.rb
/opt/rh/rh-ruby26/root/usr/share/ruby/openssl/bn.rb
/opt/rh/rh-ruby26/root/usr/share/ruby/openssl/buffering.rb
/opt/rh/rh-ruby26/root/usr/share/ruby/openssl/cipher.rb
/opt/rh/rh-ruby26/root/usr/share/ruby/openssl/config.rb
/opt/rh/rh-ruby26/root/usr/share/ruby/openssl/digest.rb
/opt/rh/rh-ruby26/root/usr/share/ruby/openssl/pkcs5.rb
/opt/rh/rh-ruby26/root/usr/share/ruby/openssl/pkey.rb
/opt/rh/rh-ruby26/root/usr/share/ruby/openssl/ssl.rb
/opt/rh/rh-ruby26/root/usr/share/ruby/openssl/x509.rb

Changelog

2019-03-25 - Vít Ondruch <vondruch@redhat.com> - 2.6.2-118
- Exclude {rdoc,irb}.rb dangling symlinks from ruby-libs.
2019-03-19 - Vít Ondruch <vondruch@redhat.com> - 2.6.2-117
- Link IRB back to StdLib.
2019-03-14 - Vít Ondruch <vondruch@redhat.com> - 2.6.2-116
- Upgrade to Ruby 2.6.2.
2019-02-07 - Vít Ondruch <vondruch@redhat.com> - 2.6.1-113
- Don't ship .stp files when SystemTap support is disabled.
2019-01-31 - Vít Ondruch <vondruch@redhat.com> - 2.6.1-112
- Upgrade to Ruby 2.6.1.
2018-11-20 - Vít Ondruch <vondruch@redhat.com> - 2.6.0-110
- Upgrade to Ruby 2.6.0.
2018-10-29 - Pavel Valena <pvalena@redhat.com> - 2.5.3-6
- Update to Ruby 2.5.3.
Resolves: CVE-2018-16395
Resolves: CVE-2018-16396
Resolves: rhbz#1563076
Removed Patch11: ruby-2.5.0-parse.y-assignable_error.patch; subsumed
Removed Patch12: ruby-2.5.0-Disable-Tokyo-TZ-tests.patch; subsumed
Removed Patch13: ruby-2.5.0-st.c-retry-operations-if-rebuilt.patch; subsumed
- Properly harden package using -fstack-protector-strong.
- Fix: return default path with nonexistent home dir
Resolves: rhbz#1602877
2018-02-21 - Jun Aruga <jaruga@redhat.com> - 2.5.0-5
- They are broken by recen tzdata update.
- Fix thread_safe test suite segfaults.
- Fix invalid licenses.
2018-01-15 - Jun Aruga <jaruga@redhat.com> - 2.5.0-4
- Fix segfaults during generating of documentation.
Resolves: rhbz#1532585
2018-01-15 - Jun Aruga <jaruga@redhat.com> - 2.5.0-3
- Update for did_you_mean required by ruby
Resolves: rhbz#1533920

See Also

Package Description
rh-ruby26-rubygem-pg-1.1.4-1.el7.x86_64.rpm A Ruby interface to the PostgreSQL RDBMS
rh-ruby26-rubygem-pg-doc-1.1.4-1.el7.noarch.rpm Documentation for rubygem-pg
rh-ruby26-rubygem-power_assert-1.1.3-118.el7.noarch.rpm Power Assert for Ruby
rh-ruby26-rubygem-psych-3.1.0-118.el7.x86_64.rpm A libyaml wrapper for Ruby
rh-ruby26-rubygem-rake-12.3.2-118.el7.noarch.rpm Ruby based make-like utility
rh-ruby26-rubygem-rdoc-6.1.0-118.el7.noarch.rpm A tool to generate HTML and command-line documentation for Ruby projects
rh-ruby26-rubygem-test-unit-3.2.9-118.el7.noarch.rpm An xUnit family unit testing framework for Ruby
rh-ruby26-rubygem-xmlrpc-0.3.0-118.el7.noarch.rpm XMLRPC is a lightweight protocol that enables remote procedure calls over HTTP
rh-ruby26-rubygems-3.0.3-118.el7.noarch.rpm The Ruby standard for packaging ruby libraries
rh-ruby26-rubygems-devel-3.0.3-118.el7.noarch.rpm Macros and development tools for packaging RubyGems
rh-ruby26-runtime-2.6-1.el7.x86_64.rpm Package that handles rh-ruby26 Software Collection
rh-ruby26-scldevel-2.6-1.el7.x86_64.rpm Package shipping development files for rh-ruby26
rh-scala210-1-4.el7.x86_64.rpm Package that installs rh-scala210
rh-scala210-ant-scala-2.10.6-2.4.el7.noarch.rpm Development files for Scala
rh-scala210-build-1-4.el7.x86_64.rpm Build support tools for the rh-scala210 Software Collection
Advertisement
Advertisement